Bug 1826639

Summary: python bleach fails to import in EPEL8
Product: [Fedora] Fedora EPEL Reporter: Pierre-YvesChibon <pingou>
Component: python-bleachAssignee: Nils Philippsen <nphilipp>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel8CC: igor.raits, mrunge, nphilipp
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-bleach-3.1.4-2.fc30 python-bleach-3.1.4-2.fc31 python-bleach-3.1.4-2.fc32 python-bleach-3.1.4-2.el8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-04-30 02:51:09 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Pierre-YvesChibon 2020-04-22 08:17:42 UTC
Description of problem:
importing bleach on RHEL8 with EPEL8 enabled fails

Version-Release number of selected component (if applicable):
python3-bleach-3.1.0-1.el8.1.noarch
python3-html5lib-0.999999999-6.el8.noarch

How reproducible:
always

Steps to Reproduce:
1. python-c "import bleach" 
2.
3.

Actual results:
python -c "import bleach"
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.6/site-packages/bleach/__init__.py", line 7, in <module>
    from bleach.linkifier import (
  File "/usr/lib/python3.6/site-packages/bleach/linkifier.py", line 6, in <module>
    from bleach import html5lib_shim
  File "/usr/lib/python3.6/site-packages/bleach/html5lib_shim.py", line 23, in <module>
    from html5lib.constants import _ReparseException as ReparseException
ImportError: cannot import name '_ReparseException'



Expected results:
module loads

Additional info:
I've rebuild html5lib 1.0.1 (with tests disabled) in a scratch build and installed it on the host and I confirm that it works then.
I did not try to downgrade bleach to an older version.

Also: looking at the change page for bleach it seems 3.1.1 is a security release, so if we somehow manage to get a newer html5lib (maybe a compat package for html5lib1?) we may want to consider updating bleach to 3.1.1

Comment 1 Nils Philippsen 2020-04-22 10:29:17 UTC
This stems from renaming `ReparseException` to `_ReparseException` between version 0.9999... and 1.0(?) of python-html5lib. I'll add a patch to address this.

Comment 2 Fedora Update System 2020-04-22 14:08:32 UTC
FEDORA-EPEL-2020-7f0ce51dbd has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f0ce51dbd

Comment 3 Fedora Update System 2020-04-22 14:08:32 UTC
FEDORA-2020-e1fa96c506 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1fa96c506

Comment 4 Fedora Update System 2020-04-22 19:27:14 UTC
FEDORA-EPEL-2020-7f0ce51dbd has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-7f0ce51dbd

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-22 20:14:21 UTC
FEDORA-2020-827b677e15 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-827b677e15`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-827b677e15

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-22 20:29:16 UTC
FEDORA-2020-e1fa96c506 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e1fa96c506`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e1fa96c506

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-04-23 20:45:26 UTC
FEDORA-2020-e9c8bdd1e3 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e9c8bdd1e3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9c8bdd1e3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-30 02:51:09 UTC
FEDORA-2020-827b677e15 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-04-30 03:43:09 UTC
FEDORA-2020-e1fa96c506 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-05-01 04:05:29 UTC
FEDORA-2020-e9c8bdd1e3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-05-07 00:40:55 UTC
FEDORA-EPEL-2020-7f0ce51dbd has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.